### R code from vignette source 'GOSim.Rnw'
### Encoding: ISO8859-1

###################################################
### code chunk number 1: GOSim.Rnw:42-44
###################################################
library(GOSim)
genes=c("207","208","596","901","780","3169","9518","2852","26353","8614","7494")


###################################################
### code chunk number 2: GOSim.Rnw:47-48 (eval = FALSE)
###################################################
## getGOInfo(genes)


###################################################
### code chunk number 3: GOSim.Rnw:54-55
###################################################
getTermSim(c("GO:0007166","GO:0007267","GO:0007584","GO:0007165","GO:0007186"),method="Resnik",verbose=FALSE)


###################################################
### code chunk number 4: GOSim.Rnw:67-69
###################################################
data("ICsBPhumanall")
IC[c("GO:0007166","GO:0007267","GO:0007584","GO:0007165","GO:0007186")]


###################################################
### code chunk number 5: GOSim.Rnw:74-75 (eval = FALSE)
###################################################
## IC[c("GO:0007166","GO:0007267","GO:0007584","GO:0007165","GO:0007186")]/max(IC) 


###################################################
### code chunk number 6: GOSim.Rnw:79-80
###################################################
getTermSim(c("GO:0007166","GO:0007267","GO:0007584","GO:0007165","GO:0007186"),verbose=FALSE)


###################################################
### code chunk number 7: GOSim.Rnw:89-90
###################################################
getTermSim(c("GO:0007166","GO:0007267","GO:0007584","GO:0007165","GO:0007186"),method="Lin",verbose=FALSE)


###################################################
### code chunk number 8: GOExample (eval = FALSE)
###################################################
## library(igraph)
## G = getGOGraph(c("GO:0007166","GO:0007267"))
## G2 = igraph.from.graphNEL(G)
## plot(G2, vertex.label=V(G2)$name)


###################################################
### code chunk number 9: GOSim.Rnw:104-105 (eval = FALSE)
###################################################
## getMinimumSubsumer("GO:0007166","GO:0007267")


###################################################
### code chunk number 10: GOSim.Rnw:116-117 (eval = FALSE)
###################################################
## getDisjCommAnc("GO:0007166","GO:0007267")


###################################################
### code chunk number 11: GOSim.Rnw:126-127 (eval = FALSE)
###################################################
## getTermSim(c("GO:0007166","GO:0007267","GO:0007584","GO:0007165","GO:0007186"),method="CoutoResnik",verbose=FALSE)


###################################################
### code chunk number 12: GOSim.Rnw:131-133 (eval = FALSE)
###################################################
## setEnrichmentFactors(alpha=0.5,beta=0.3)
## getTermSim(c("GO:0007166","GO:0007267","GO:0007584","GO:0007165","GO:0007186"),method="CoutoEnriched",verbose=FALSE)


###################################################
### code chunk number 13: GOSim.Rnw:137-138 (eval = FALSE)
###################################################
## calc.diffusion.kernel(method="diffKernelLLE")


###################################################
### code chunk number 14: GOSim.Rnw:142-144 (eval = FALSE)
###################################################
## load.diffusion.kernel(method="diffKernelLapl")
## getTermSim(c("GO:0007166","GO:0007267","GO:0007584","GO:0007165","GO:0007186"),method="diffKernel",verbose=FALSE)


###################################################
### code chunk number 15: GOSim.Rnw:148-149
###################################################
getTermSim(c("GO:0007166","GO:0007267","GO:0007584","GO:0007165","GO:0007186"),method="relevance",verbose=FALSE)


###################################################
### code chunk number 16: GOSim.Rnw:203-204
###################################################
getGOInfo(c("8614","2852"))


###################################################
### code chunk number 17: GOSim.Rnw:228-229
###################################################
getGeneSim(c("8614","2852"),similarity="OA",similarityTerm="Lin",verbose=FALSE)


###################################################
### code chunk number 18: GOSim.Rnw:233-235
###################################################
getGeneSim(c("8614","2852"),similarity="max",similarityTerm="Lin",verbose=FALSE)
getGeneSim(c("8614","2852"),similarity="funSimMax",similarityTerm="Lin",verbose=FALSE)


###################################################
### code chunk number 19: GOSim.Rnw:248-249
###################################################
getGeneSim(c("8614","2852"),similarity="hausdorff",similarityTerm="Lin",verbose=FALSE)


###################################################
### code chunk number 20: GOSim.Rnw:258-259
###################################################
getGeneSim(c("8614","2852"),similarity="dot",method="Tanimoto", verbose=FALSE)


###################################################
### code chunk number 21: GOSim.Rnw:262-263 (eval = FALSE)
###################################################
## features = getGeneFeatures(c("8614","2852"))


###################################################
### code chunk number 22: GOSim.Rnw:270-271 (eval = FALSE)
###################################################
## proto = selectPrototypes(verbose=FALSE)


###################################################
### code chunk number 23: GOSim.Rnw:281-282 (eval = FALSE)
###################################################
## PHI = getGeneFeaturesPrototypes(genes,prototypes=proto,verbose=FALSE)


###################################################
### code chunk number 24: GOPCAExample (eval = FALSE)
###################################################
## x=seq(min(PHI$features[,1]),max(PHI$features[,1]),length.out=100)
## y=seq(min(PHI$features[,2]),max(PHI$features[,2]),length.out=100)
## plot(x,y,xlab="principal component 1",ylab="principal component 2",type="n")
## text(PHI$features[,1],PHI$features[,2],labels=genes)


###################################################
### code chunk number 25: GOSim.Rnw:303-306 (eval = FALSE)
###################################################
## sim = getGeneSimPrototypes(genes,prototypes=proto,similarityTerm="Resnik",verbose=FALSE)
## h=hclust(as.dist(1-sim$similarity),"ward")
## plot(h,xlab="")


###################################################
### code chunk number 26: GOSim.Rnw:332-334 (eval = FALSE)
###################################################
## ev = evaluateClustering(c(2,3,2,3,1,2,1,1,3,1,2), sim$similarity)
## plot(ev$clustersil,main="")


###################################################
### code chunk number 27: GOSim.Rnw:348-351 (eval = FALSE)
###################################################
## gomap <- get("gomap",env=GOSimEnv)
## allgenes = unique(c(sample(names(gomap), 1000), genes)) # suppose these are all genes
## GOenrichment(c("8614", "9518", "780", "2852"), allgenes) # print out what cluster 1 is about


